{ pkgs, ... }: let
  username = builtins.getEnv "USER"; 
in {
  imports = [
    ../../common.nix
  ];

  users.users.${username} = (import ../../user.nix) username // {
    shell = pkgs.fish;
  };

  home-manager.users.${username} = import ../../../home-manager/noe/hosts/work-mac.nix;

  environment.systemPackages =
    with pkgs; [ 
      vim
      neovim
      tfswitch
      awscli2
      kubectl
      jq
      nil
      direnv
    ];
}